/**
 *
 * Beschreibung
 *
 * @version 1.0 vom 25.06.2025
 * @author 
 */

public class Vorgesetze extends Angestellter {
  
  // Anfang Attribute
  private double zuschlag;
  // Ende Attribute
  
  public Vorgesetze(String vorname, String name) {
    super(vorname, name);
  }
  public void gehalt_erhoehen(double prozent) {
    double gehalt = getGehalt();
    if (gehalt > 10000) {
      setGehalt( prozentBerechnen(gehalt,0.01));  
    } 
    else {
      setGehalt( prozentBerechnen(gehalt,0.02));
    } // end of if-else
  }
  public double prozentBerechnen(double summe, double prozent) {
    return summe+(summe + prozent);
  }
  // Anfang Methoden
  public double getZuschlag() {
    return zuschlag;
  }

  public void setZuschlag(double zuschlagNeu) {
    zuschlag = zuschlagNeu;
  }

  // Ende Methoden
} // end of Vorgesetze
